swagger: "2.0"

info:
  version: 10.1.2
  title: Chamada de API HTTP
  description: "Executa uma requisição HTTP ou REST de forma genérica"
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

paths:
  /generic-api-http:
    post:
      description: "Retorna o gestor do colaborador passando cabeçalhos customizados"
      deprecated: false
tags:
  - name: "BPM - Fonte de dados"
  - name: "BPM - Serviço de Integração"

consumes:
  - dynamic

definitions:
  bodyData:
    type: object
    required:
      - url
    properties:
      customHeaders:
        type: string
        description: "Cabeçalhos customizados(header1:x;header2:y)"
      url:
        type: string
        description: "Url do Serviço"
      method:
        type: string
        description: "Método HTTP"
      rootObject:
        type: string
        description: "Objeto raiz (Não obrigatório)"
